This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 491251 - kdm failsafe... fails, XTerm isn't installed by default
kdm failsafe... fails, XTerm isn't installed by default
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 23:06 EDT by Trever Fischer
Modified: 2013-01-10 00:06 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 16:21:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Trever Fischer 2009-03-19 23:06:05 EDT
Description of problem: xterm doesn't seem to be installed by default after an install with a KDE LiveCD. I haven't checked with gnome. KDM has a failsafe session option which uses xterm. So if something breaks, dropping to a normal vt is required to fix anything.

How reproducible: Easily.


Steps to Reproduce:
1. Install Fedora from a KDE LiveCD
2. Try the failsafe xterm session
3. Wonder why you get dropped back to the login screen without any kind of 'failsafe session'
  
Actual results:
Dropping back to KDM

Expected results:
An unmanaged xterm window

Additional info:
This has happened on a fresh install of Fedora 10 as well.
Comment 1 Matěj Cepl 2009-04-24 03:05:09 EDT
Adding maintainer of kdebase-workspace which contains kdm to CC list.
Comment 2 Bill Nottingham 2009-04-27 15:02:20 EDT
If it needs it for its session definition, it should require it.
Comment 3 Rex Dieter 2009-04-27 15:13:49 EDT
I'll take a look.
Comment 4 Rex Dieter 2009-04-27 15:25:13 EDT
Any opinions?  Which of these is preferable?

1. add Requires: xterm, 
2. default to and Requires something else for a failsafe session?
3. don't add a hard Requires, and just add it to comps (so it gets installed by default)
4.  other?  profit!

While we're at it, can also fix the xsession path in kdmrc too.
Comment 5 Rex Dieter 2009-04-27 16:21:12 EDT
Fixed in kde-settings-4.2-8.20090427svn.fc11 , requested tag for dist-f11
Comment 6 Jaroslav Reznik 2009-10-01 06:19:28 EDT
Hmm, one colleague just complained that xterm wants to remove half of his KDE. Maybe 3. would be better solution?
Comment 7 Rex Dieter 2009-10-01 10:03:48 EDT
I'll look into it.  In the meantime, having xterm installed isn't exactly harmful (and takes < 1mb space)
Comment 8 Rex Dieter 2009-10-01 10:14:14 EDT
I don't see a clean solution.  Leaving xterm not-required, I think, will result in a "failsafe" option being listed in kdm that simply won't work as advertised.
Comment 9 Kevin Kofler 2009-10-01 10:24:01 EDT
On the other hand, xterm is really obsolete and you'll want to use Konsole instead in all regular use. But of course Konsole is not really failsafe: if KDE is broken, chances are Konsole is too. So I see why the failsafe session uses xterm.

Note You need to log in before you can comment on or make changes to this bug.